NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.Features.TangentBuilder Class Reference

Represents a NXOpen.Features.Tangent builder More...

Inheritance diagram for NXOpen.Features.TangentBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe
NXOpen.GeometricUtilities.FaceChangeOverflowBehavior 
FaceChangeOverflowBehavior [get]
 Returns the face change overflow behavior. More...
 
unsafe NXOpen.SelectFace MotionFace [get]
 Returns the motion face More...
 
unsafe
NXOpen.Features.FaceRecognitionBuilder 
MoveAlongFace [get]
 Returns the move along faces More...
 
unsafe NXOpen.SelectISurface StationaryFace [get]
 Returns the stationary face More...
 
unsafe NXOpen.Point ThroughPoint [get, set]
 Returns or sets the through point More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.Tangent builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateTangentBuilder

Default values.

Property Value

MoveAlongFace.CoaxialEnabled

0

MoveAlongFace.CoplanarAxesEnabled

0

MoveAlongFace.CoplanarEnabled

0

MoveAlongFace.EqualDiameterEnabled

0

MoveAlongFace.OffsetEnabled

0

MoveAlongFace.ParallelEnabled

0

MoveAlongFace.PerpendicularEnabled

0

MoveAlongFace.SameOrbitEnabled

0

MoveAlongFace.SymmetricEnabled

0

MoveAlongFace.TangentEnabled

0

MoveAlongFace.ThicknessChainEnabled

0

MoveAlongFace.UseFaceBrowse

1

Created in NX6.0.0

Property Documentation

unsafe NXOpen.GeometricUtilities.FaceChangeOverflowBehavior NXOpen.Features.TangentBuilder.FaceChangeOverflowBehavior
get

Returns the face change overflow behavior.

Please refer NXOpen.GeometricUtilities.FaceChangeOverflowBehavior for details.

Created in NX6.0.2

License requirements: None.

unsafe NXOpen.SelectFace NXOpen.Features.TangentBuilder.MotionFace
get

Returns the motion face

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.FaceRecognitionBuilder NXOpen.Features.TangentBuilder.MoveAlongFace
get

Returns the move along faces

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectISurface NXOpen.Features.TangentBuilder.StationaryFace
get

Returns the stationary face

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.TangentBuilder.ThroughPoint
getset

Returns or sets the through point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.